org.apache.hadoop.hdfs.tools.offlineEditsViewer

## Class OfflineEditsViewer.Flags

- java.lang.Object
- - org.apache.hadoop.hdfs.tools.offlineEditsViewer.OfflineEditsViewer.Flags

- Enclosing class:
    org.apache.hadoop.hdfs.tools.offlineEditsViewer.OfflineEditsViewer

      public static class OfflineEditsViewer.Flags
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Flags()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getFixTxIds()`
    `boolean` | `getPrintToScreen()`
    `boolean` | `getRecoveryMode()`
    `void` | `setFixTxIds()`
    `void` | `setPrintToScreen()`
    `void` | `setRecoveryMode()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Flags

          public Flags()

  - ### Method Detail

    - #### getPrintToScreen

          public boolean getPrintToScreen()

    - #### setPrintToScreen

          public void setPrintToScreen()

    - #### getFixTxIds

          public boolean getFixTxIds()

    - #### setFixTxIds

          public void setFixTxIds()

    - #### getRecoveryMode

          public boolean getRecoveryMode()

    - #### setRecoveryMode

          public void setRecoveryMode()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.